Bug 65375 - Wrong document return value
Summary: Wrong document return value
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-22 20:32 UTC by Ulrich Drepper
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-22 20:32:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2002-05-22 20:32:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0+) Gecko/20020520

Description of problem:
The iconv(3) man page currently contains:

In case of error, it sets errno and returns (iconv_t)(-1).

This is wrong.  The type of the return value is size_t.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.man 3 iconv
2.
3.
	

Expected Results:  Change the sentence to

In case of error, it sets errno and returns (size_t)(-1).

Additional info:

Comment 1 Trond Eivind Glomsrxd 2002-06-17 20:09:58 UTC
Fixed in 1.48-3 May 23rd. Note to self: close bugs after fixing them :).




Note You need to log in before you can comment on or make changes to this bug.